Skip to main content
POST
/
payouts
Create payout
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/payouts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n  \"amount\": 1299,\n  \"currency\": \"USD\",\n  \"payment_service_id\": \"a7d6b829-aea5-407d-ab7f-138784b5ad2c\",\n  \"payment_method\": {\n    \"method\": \"card\",\n    \"number\": \"4111111111111111\",\n    \"expiration_date\": \"11/25\",\n    \"external_identifier\": \"card-323444\",\n    \"scheme\": \"visa\"\n  }\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "type": "payout",
  "id": "8d3fe99b-1422-42e6-bbb3-932d95ae5f79",
  "merchant_account_id": "default",
  "amount": 1299,
  "currency": "USD",
  "created_at": "2022-01-01T12:00:00+00:00",
  "updated_at": "2022-01-01T12:00:00+00:00",
  "payment_service": {
    "type": "payment-service",
    "id": "stripe-card-faaad066-30b4-4997-a438-242b0752d7e1",
    "display_name": "Stripe (Main)",
    "method": "card",
    "payment_service_definition_id": "stripe-card"
  },
  "payment_service_payout_id": "example",
  "category": "online_gambling",
  "status": "pending",
  "external_identifier": "user-789123",
  "merchant": {
    "type": "merchant",
    "name": "Merchant",
    "identification_number": "<string>",
    "phone_number": "+1234567890",
    "url": "<string>",
    "statement_descriptor": "<string>",
    "merchant_category_code": "<string>",
    "address": {
      "city": "London",
      "country": "GB",
      "postal_code": "789123",
      "state": "Greater London",
      "state_code": "GB-LND",
      "house_number_or_name": "10",
      "line1": "10 Oxford Street",
      "line2": "New Oxford Court",
      "organization": "Gr4vy"
    }
  },
  "buyer": {
    "type": "buyer",
    "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
    "billing_details": {
      "type": "billing-details",
      "first_name": "John",
      "last_name": "Lunn",
      "email_address": "john@example.com",
      "phone_number": "+1234567890",
      "address": {
        "city": "London",
        "country": "GB",
        "postal_code": "789123",
        "state": "Greater London",
        "state_code": "GB-LND",
        "house_number_or_name": "10",
        "line1": "10 Oxford Street",
        "line2": "New Oxford Court",
        "organization": "Gr4vy"
      },
      "tax_id": {
        "value": "12345678931",
        "kind": "gb.vat"
      }
    },
    "display_name": "John L.",
    "external_identifier": "user-789123",
    "account_number": "1234567"
  },
  "payment_method": {
    "type": "payment-method",
    "id": "77a76f7e-d2de-4bbc-ada9-d6a0015e6bd5",
    "approval_target": "any",
    "approval_url": "https://api.example.app.gr4vy.com/payment-methods/ffc88ec9-e1ee-45ba-993d-b5902c3b2a8c/approve",
    "country": "US",
    "currency": "USD",
    "details": {
      "bin": "412345",
      "card_type": "credit",
      "card_issuer_name": "Bank"
    },
    "expiration_date": "11/25",
    "external_identifier": "user-789123",
    "label": "1111",
    "last_replaced_at": "2023-07-26T19:23:00.000+00:00",
    "method": "card",
    "payment_account_reference": "V0010014629724763377327521982",
    "scheme": "visa",
    "fingerprint": "20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17"
  }
}
This endpoint requires the payouts.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating new payout.

amount
number
required

The amount to payout.

Required range: 1 <= x <= 99999999
Example:

1299

currency
string
required

The ISO-4217 currency code for the payout.

Example:

"USD"

payment_service_id
string<uuid>
required

The ID of the payment service to use for the payout.

Example:

"a7d6b829-aea5-407d-ab7f-138784b5ad2c"

payment_method
Payout card payment method · object
required

Inline card details.

category
enum<string>
default:online_gambling

The type of payout to process.

Available options:
online_gambling
Example:

"online_gambling"

external_identifier
string | null

A value that can be used to match the payout against your own records.

Required string length: 1 - 200
Example:

"payout-123"

buyer_id
string<uuid> | null

The ID of the buyer to send the payout.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

buyer_external_identifier
string | null

The external_identifier of the buyer to send this payout to.

Maximum string length: 200
Example:

"user-789123"

buyer
Buyer · object

Inline buyer details for the payout.

merchant
Merchant · object

Merchant information for the source of the payout.

connection_options
Payout · object

Optional fields for processing payouts on specific payment services.

Response

Returns the created payout.

type
enum<string>

The type of this resource. Is always payout.

Available options:
payout
Example:

"payout"

id
string<uuid>

The ID of a payout.

Example:

"8d3fe99b-1422-42e6-bbb3-932d95ae5f79"

merchant_account_id
string | null

The optional ID of the merchant account this payout should be assigned to.

Maximum string length: 22
Example:

"default"

amount
integer

The monetary amount for this payout, in the smallest currency unit for the given currency, for example 1299 cents to create an authorization for $12.99.

Example:

1299

currency
string

A supported ISO-4217 currency code.

Example:

"USD"

created_at
string<date-time>

The date and time when this payout was created.

Example:

"2022-01-01T12:00:00+00:00"

updated_at
string<date-time>

The date and time when this payout was created.

Example:

"2022-01-01T12:00:00+00:00"

payment_service
A payment service · object

The payment service used for this payout.

payment_service_payout_id
string | null

The ID of the payout in the underlying payment service.

Example:

"example"

category
enum<string>

The type of payout to process.

Available options:
online_gambling
Example:

"online_gambling"

status
enum<string>

The status of the payout.

Available options:
pending,
failed,
declined,
succeeded
Example:

"pending"

external_identifier
string | null

An external identifier that can be used to match the payout against your own records. This value needs to be unique for all buyers.

Required string length: 1 - 200
Example:

"user-789123"

merchant
Merchant · object

The merchant details associated to this payout.

buyer
Buyer (Snapshot) · object

The buyer used for this transaction.

payment_method
Payment method (Snapshot) · object

The payment method used for this payout.